Download it now!
Bug 111828 - Always have ‘Record Macro’ available in the menu (not experimental)
Summary: Always have ‘Record Macro’ available in the menu (not experimental)
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 111829 111830 111831 111832 (view as bug list)
Depends on:
Blocks: Macro-Recording Main-Menu
  Show dependency treegraph
 
Reported: 2017-08-15 22:44 UTC by Óvári
Modified: 2017-08-21 09:26 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Óvári 2017-08-15 22:44:47 UTC
Description:
1. In Writer, always show ‘Record Macro’ in:
Menu Bar → Tools → Macros → Record Macro

2. Remove ‘Enable macro recording (may be limited)’ at:
Menu Bar → Tools → Options… → LibreOffice → Advanced → ‘Enable macro recording (may be limited)’

3. This would provide consistency across LibreOffice as Draw always shows ‘Record Macro’ in:
Menu Bar → Tools → Macros → Record Macro

Thank you

Version: 5.4.0.3
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
CPU threads: 2; OS: Linux 4.10; UI render: default; VCL: gtk2

Actual Results:  
‘Record Macro’ can be set to show or not show.

Expected Results:
Always have ‘Record Macro’ available in the Writer menu to provide consistency with LibreOffice as Draw


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:55.0) Gecko/20100101 Firefox/55.0
Comment 1 Xisco Faulí 2017-08-16 00:15:12 UTC
Let's make it general...
Comment 2 Xisco Faulí 2017-08-16 00:15:23 UTC
*** Bug 111829 has been marked as a duplicate of this bug. ***
Comment 3 Xisco Faulí 2017-08-16 00:15:34 UTC
*** Bug 111830 has been marked as a duplicate of this bug. ***
Comment 4 Xisco Faulí 2017-08-16 00:15:39 UTC
*** Bug 111831 has been marked as a duplicate of this bug. ***
Comment 5 Xisco Faulí 2017-08-16 00:15:45 UTC
*** Bug 111832 has been marked as a duplicate of this bug. ***
Comment 6 Óvári 2017-08-16 01:32:52 UTC
(In reply to Óvári from comment #0)
> 3. This would provide consistency across LibreOffice as Draw always shows
> ‘Record Macro’ in:
> Menu Bar → Tools → Macros → Record Macro
Correction:
3. This would provide consistency across LibreOffice as *Base* always shows ‘Record Macro’ in:
Menu Bar → Tools → Macros → Record Macro
Comment 7 Óvári 2017-08-16 01:54:56 UTC
(In reply to Xisco Faulí from comment #1)
> Let's make it general...

Are you able the change the status to NEW? Thank you
Comment 8 raal 2017-08-18 17:58:43 UTC
see bug 64314 and Michael's comment
Comment 9 Óvári 2017-08-19 07:39:36 UTC
(In reply to raal from comment #8)
> see bug 64314 and Michael's comment
Thank you raal for bringing Michael's comment [1] to our attention. A lot has improved in LibreOffice since the comment was posted in 2013. Examples include, but not limited to, LibreOffice fixing all Coverity Scan results [2], automated crash reporting [3] and Google’s OSS-Fuzz [4].

Enabling the ‘Record Macro’ feature by default can help to collect more issues. Having a bigger data set of issues could help the ESC, and others, prioritise development.

Are you able to set the status to NEW? It would be great if this could be ASSIGNED and FIXED for inclusion in LibreOffice 6.0.

What do you think?

Thank you

P.S. The RTF (Rich Text Format) filter is not complete either; however, there is no options to set to enable the RTF filter. If a user does not require the feature great; however, if the feature is required it is available without finding and changing settings/options.

[1] Bug 64314 (Macro-Recording) - [META] Macro recording issues 
https://bugs.documentfoundation.org/show_bug.cgi?id=64314#c0

[2] LibreOffice happy to work with Coverity Scan results
https://blog.documentfoundation.org/blog/2013/04/28/libreoffice-happy-to-work-with-coverity-scan-results/

[3] Crash reporting for LibreOffice
https://mmohrhard.wordpress.com/2016/06/19/crash-reporting-for-libreoffice/

[4] LibreOffice leverages Google’s OSS-Fuzz to improve quality of office suite
https://blog.documentfoundation.org/blog/2017/05/23/oss-fuzz/
Comment 10 Michael Meeks 2017-08-19 07:57:18 UTC
I guess I was unaware that 'record macro' is available in the menus in any of the apps - if it is still shown in base/draw without the setting being enabled then we should disable it there - do you agree Lionel ?
Comment 11 Óvári 2017-08-19 11:06:14 UTC
(In reply to Michael Meeks from comment #10)
> I guess I was unaware that 'record macro' is available in the menus in any
> of the apps - if it is still shown in base/draw without the setting being
> enabled then we should disable it there - do you agree Lionel ?
We apologise for any misunderstanding Michael.

This bug report is to enable the “Record Macro” in the default LibreOffice installation.

This would enable any issues (i.e. problems) to be collected (i.e. bug reports). As there are more automated processes in LibreOffice, the quality of the issues collected should be better too.

Thank you
Comment 12 Lionel Elie Mamane 2017-08-19 18:51:09 UTC
(In reply to Michael Meeks from comment #10)
> I guess I was unaware that 'record macro' is available in the menus in any
> of the apps - if it is still shown in base/draw without the setting being
> enabled then we should disable it there - do you agree Lionel ?

Not opposing it. Have never used the feature, if it is buggy / awful / experimental, sure, hide it.
Comment 13 Michael Meeks 2017-08-21 05:17:27 UTC
> This would enable any issues (i.e. problems) to be collected (i.e. bug
> reports).

These can be easily collected now by those turning it on in experimental mode. Ultimately, the problem here is not one of collecting bug reports - but of fixing them.

> As there are more automated processes in LibreOffice, the quality of
> the issues collected should be better too.

I don't think any of our automation targets macro recording & replay; there are/were a very large number of known problems in this area that we simply have no man-power to fix. As such - the feature is experimental; no guarentees. Fixing the bugs will not happen any faster if it is non-experimental.

=> I'd say 'wontfix' - this is disabled by design.
Comment 14 Yousuf Philips (jay) (retired) 2017-08-21 09:26:20 UTC
Have to agree with Michael, as experimental/unstable features shouldnt be turn on by default and i remember hearing from someone (likely Joel) that recording macros in writer was buggy. And as Micheal said, bugs can still be collected with this turned off by default and when it gets to a stable level, it can be enabled by default.

Michael's comment from the meta bug (bug 64314 comment 0): "The built-in Macro recording functionality is really unreliable, buggy and awful. The feature is marked 'experimental' and disabled by default because of this. Fixing it properly is a huge chunk of work; nevertheless people seem to want this feature and file bugs."